namespace ns2
{
    using iQuest;
    using ns1;
    using System;
    using System.ComponentModel;
    using System.Drawing;
    using System.Linq;
    using System.Windows.Forms;

    internal class fMassEdit : Form
    {
        private Button button1;
        private IContainer icontainer_0 = null;
        public int int_0;
        public int int_1;
        public int int_2;
        public int int_3;
        public int int_4;
        private Label label1;
        private Label label2;
        private Label label3;
        private Label label4;
        private Label label5;
        private Label label6;
        private Label label7;
        private TextBox textBox1;
        private TextBox textBox2;
        private TextBox textBox3;
        private TextBox textBox4;

        public fMassEdit()
        {
            this.InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            try
            {
                if (this.textBox1.Text.Contains<char>('-'))
                {
                    this.int_0 = int.Parse(this.textBox1.Text.Split(new char[] { '-' })[0]);
                    this.int_1 = int.Parse(this.textBox1.Text.Split(new char[] { '-' })[1]);
                }
                else
                {
                    this.int_0 = int.Parse(this.textBox1.Text);
                    this.int_1 = int.Parse(this.textBox1.Text);
                }
            }
            catch
            {
                MessageBox.Show("Invalid Start Numbers");
                return;
            }
            try
            {
                this.int_2 = int.Parse(this.textBox2.Text);
                this.int_3 = int.Parse(this.textBox3.Text);
                this.int_4 = int.Parse(this.textBox4.Text);
            }
            catch
            {
                MessageBox.Show("Invalid Percentages");
                return;
            }
            foreach (Class3 class2 in Class0.frmMain_0.class2_0.list_0)
            {
                if ((class2.MinLevel >= this.int_0) && (class2.MinLevel <= this.int_1))
                {
                    foreach (QuestReward reward in class2.list_1)
                    {
                        if ((reward.Type == QuestReward.RewardType.Exp) && (reward.Amount != 0L))
                        {
                            reward.Amount += ulong.Parse(reward.Amount.ToString()) * (ulong)(this.int_2 / 100);
                        }
                        if ((reward.Type == QuestReward.RewardType.Fame) && (reward.Amount != 0L))
                        {
                            reward.Amount += ulong.Parse(reward.Amount.ToString()) * (ulong)(this.int_3 / 100);
                        }
                        if ((reward.Type == QuestReward.RewardType.Money) && (reward.Amount != 0L))
                        {
                            reward.Amount += ulong.Parse(reward.Amount.ToString()) * (ulong)(this.int_4 / 100);
                        }
                    }
                }
            }
            MessageBox.Show("DONE NIGGA");
        }

        private void InitializeComponent()
        {
            this.button1 = new Button();
            this.label1 = new Label();
            this.textBox1 = new TextBox();
            this.textBox2 = new TextBox();
            this.label2 = new Label();
            this.textBox3 = new TextBox();
            this.label3 = new Label();
            this.textBox4 = new TextBox();
            this.label4 = new Label();
            this.label5 = new Label();
            this.label6 = new Label();
            this.label7 = new Label();
            base.SuspendLayout();
            this.button1.Location = new Point(0x38, 0x9c);
            this.button1.Name = "button1";
            this.button1.Size = new Size(0x97, 0x17);
            this.button1.TabIndex = 0;
            this.button1.Text = "Zoom Zoom ZOOMMMMM";
            this.button1.UseVisualStyleBackColor = true;
            this.button1.Click += new EventHandler(this.button1_Click);
            this.label1.AutoSize = true;
            this.label1.Location = new Point(12, 9);
            this.label1.Name = "label1";
            this.label1.Size = new Size(0x3d, 13);
            this.label1.TabIndex = 1;
            this.label1.Text = "Start Level:";
            this.textBox1.Location = new Point(0x4f, 6);
            this.textBox1.Name = "textBox1";
            this.textBox1.Size = new Size(40, 20);
            this.textBox1.TabIndex = 2;
            this.textBox2.Location = new Point(0x77, 0x2e);
            this.textBox2.Name = "textBox2";
            this.textBox2.Size = new Size(40, 20);
            this.textBox2.TabIndex = 4;
            this.label2.AutoSize = true;
            this.label2.Location = new Point(0x52, 0x31);
            this.label2.Name = "label2";
            this.label2.Size = new Size(0x1f, 13);
            this.label2.TabIndex = 3;
            this.label2.Text = "EXP:";
            this.textBox3.Location = new Point(0x77, 0x4e);
            this.textBox3.Name = "textBox3";
            this.textBox3.Size = new Size(40, 20);
            this.textBox3.TabIndex = 6;
            this.label3.AutoSize = true;
            this.label3.Location = new Point(0x4c, 0x51);
            this.label3.Name = "label3";
            this.label3.Size = new Size(0x24, 13);
            this.label3.TabIndex = 5;
            this.label3.Text = "Fame:";
            this.textBox4.Location = new Point(0x77, 0x68);
            this.textBox4.Name = "textBox4";
            this.textBox4.Size = new Size(40, 20);
            this.textBox4.TabIndex = 8;
            this.label4.AutoSize = true;
            this.label4.Location = new Point(70, 0x6b);
            this.label4.Name = "label4";
            this.label4.Size = new Size(0x2a, 13);
            this.label4.TabIndex = 7;
            this.label4.Text = "Money:";
            this.label5.AutoSize = true;
            this.label5.Location = new Point(0xa5, 0x31);
            this.label5.Name = "label5";
            this.label5.Size = new Size(15, 13);
            this.label5.TabIndex = 9;
            this.label5.Text = "%";
            this.label6.AutoSize = true;
            this.label6.Location = new Point(0xa5, 0x51);
            this.label6.Name = "label6";
            this.label6.Size = new Size(15, 13);
            this.label6.TabIndex = 10;
            this.label6.Text = "%";
            this.label7.AutoSize = true;
            this.label7.Location = new Point(0xa5, 0x6b);
            this.label7.Name = "label7";
            this.label7.Size = new Size(15, 13);
            this.label7.TabIndex = 11;
            this.label7.Text = "%";
            base.AutoScaleDimensions = new SizeF(6f, 13f);
            base.AutoScaleMode = AutoScaleMode.Font;
            base.ClientSize = new Size(0x10b, 0xc9);
            base.Controls.Add(this.label7);
            base.Controls.Add(this.label6);
            base.Controls.Add(this.label5);
            base.Controls.Add(this.textBox4);
            base.Controls.Add(this.label4);
            base.Controls.Add(this.textBox3);
            base.Controls.Add(this.label3);
            base.Controls.Add(this.textBox2);
            base.Controls.Add(this.label2);
            base.Controls.Add(this.textBox1);
            base.Controls.Add(this.label1);
            base.Controls.Add(this.button1);
            base.FormBorderStyle = FormBorderStyle.Fixed3D;
            base.MaximizeBox = false;
            base.MinimizeBox = false;
            base.Name = "fMassEdit";
            base.StartPosition = FormStartPosition.CenterScreen;
            this.Text = "MassEdit";
            base.ResumeLayout(false);
            base.PerformLayout();
        }

        public void Dispose(bool disposing)
        {
            if (disposing && (this.icontainer_0 != null))
            {
                this.icontainer_0.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

